# Podobnost matic, jejich vlastnosti, Jordanův kanonický tvar matice
## Podobnost matic, jejich vlastnosti
Matice $A$ a $B$ jsou podobné, jestli existuje matice $T$ taková, aby platilo $A = T^{-1}BT$.
- pokud je A podobná B, je zároveň B podobná A, platí tedy i:
	- $TA = BT$
	- $TAT^{-1} = B$
- každá matice je podobná sama sobě ($T$ by byla jednotková matice $I$)
- matice $A$ řádu $n$ je podobná diagonální matici, právě když $A$ má lin. nezávislou množinu $n$ vlastních vektorů
- Pokud jsou matice A a B podobné, mají **stejné charakteristické polynomy i spektra**.

- Matice A, B jsou podobné právě tehdy, když jsou maticemi téhož lineárního operátoru (v různých bázích)

### Diagonalizace

Matice NxN je diagonalizovatelná právě když
- má N lineárně nezávislých vlastních vektorů
- má různá vlastní čísla
- je symetrická nebo jednotková

K diagonalizaci matice A stačí najít množinu n lineárně nezávislých vlastních vektorů, tedy **vlastní čísla mohou být i vícenásobná**. Pro k-násobné vl. číslo musí platit, že $dim(Ker(\mathbb{L})) = k$. 

Na diagonále diagonální matice jsou vlastní čísla ve stejném pořadí, jako vlastní vektory v matici 

### Nediagonalizovatelné matice

Taková matice je potom podobná tzv. blokově diagonální matici, nazývané Jordanův diagonální tvar. Skládá se z jednotlivých bloků, které se nazývají Jordanovy bloky. 

Jordanův blok vypadá takto: $\begin{bmatrix}\lambda & 1 & 0\\0 & \lambda & 1\\0 & 0 & \lambda\end{bmatrix}$
- na diagonále má vlastní čísla, nad ní čísla 1
- každý blok odpovídá nějakému vl. číslu

## Jordanův kanonický tvar matice
- skládá se z Jordanových bloků
- každý blok odpovídá nějakému vl. číslu
- jednomu vlastnímu číslu může odpovídat jeden i více bloků
- rozměry J. bloku mohou být i 1x1